<?php

/**
 * @file
 * Theme functions for the CDEK API module.
 */

/**
 * Returns HTML for a cdek_select element.
 *
 * @param array $variables
 *   An associative array containing:
 *   - element: An associative array containing the properties of the element.
 *
 * @return string
 *   The HTML output.
 */
function theme_cdek_select(array $variables) {
  $element = $variables['element'];
  $attributes = [];

  if (isset($element['#id'])) {
    $attributes['id'] = $element['#id'];
  }
  $attributes['class'][] = 'form-cdek-select';
  if (!empty($element['#attributes']['class'])) {
    $attributes['class'] = array_merge($attributes['class'], $element['#attributes']['class']);
  }
  return '<div' . drupal_attributes($attributes) . '>' . $element['#children'] . '</div>';
}

/**
 * Returns HTML for a cdek_widget element.
 *
 * @param array $variables
 *   An associative array containing:
 *   - element: An associative array containing the properties of the element.
 *
 * @return string
 *   The HTML output.
 */
function theme_cdek_widget(array $variables) {
  $element = $variables['element'];

  if (isset($element['#id'])) {
    $element['#attributes']['id'] = $element['#id'];
  }
  $element['#attributes']['class'][] = 'cdek-widget';
  if (!empty($element['#processed'])) {
    $element['#attributes']['class'][] = 'form-cdek-widget';
  }
  $element['#attributes']['class'][] = 'js-cdek-widget-' . $element['#cdek_widget_id'];
  return '<div' . drupal_attributes($element['#attributes']) . '>' . $element['#children'] . '</div>';
}
